net.minecraftforge.client.gui

## Class ForgeGuiFactory.ForgeConfigGui.ModIDEntry

- java.lang.Object
- - cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase
  - - cpw.mods.fml.client.config.GuiConfigEntries.ButtonEntry
    - - cpw.mods.fml.client.config.GuiConfigEntries.SelectValueEntry
      - - net.minecraftforge.client.gui.ForgeGuiFactory.ForgeConfigGui.ModIDEntry

- All Implemented Interfaces:
    GuiConfigEntries.IConfigEntry, GuiListExtended.IGuiListEntry
  Enclosing class:
    ForgeGuiFactory.ForgeConfigGui

      public static class ForgeGuiFactory.ForgeConfigGui.ModIDEntry
      extends GuiConfigEntries.SelectValueEntry

  This custom list entry provides a Mod ID selector. The control is a button that opens a list of values to select from. This entry also overrides onGuiClosed() to run code to save the data to a new ConfigCategory when the user is done.

- - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.SelectValueEntry

      `beforeValue, currentValue, selectableValues`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ButtonEntry

      `btnValue`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `btnDefault, btnUndoChanges, configElement, defaultHoverChecker, defaultToolTip, drawLabel, isValidValue, mc, name, owningEntryList, owningScreen, toolTip, tooltipHoverChecker, undoHoverChecker, undoToolTip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeGuiFactory.ForgeConfigGui.ModIDEntry(GuiConfig owningScreen, GuiConfigEntries owningEntryList, IConfigElement prop)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onGuiClosed()` By overriding onGuiClosed() for this entry we can perform additional actions when the user is done such as saving a new ConfigCategory object to the Configuration object.

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.SelectValueEntry

      `getCurrentValue, getCurrentValues, isChanged, isDefault, saveConfigElement, setToDefault, setValueFromChildScreen, undoChanges, updateValueButtonText, valueButtonPressed`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ButtonEntry

      `drawEntry, keyTyped, mouseClicked, mousePressed, mouseReleased, updateCursorCounter`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `drawToolTip, enabled, getConfigElement, getEntryRightBound, getLabelWidth, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeGuiFactory.ForgeConfigGui.ModIDEntry

          public ForgeGuiFactory.ForgeConfigGui.ModIDEntry(GuiConfig owningScreen,
                                                   GuiConfigEntries owningEntryList,
                                                   IConfigElement prop)

  - ### Method Detail

    - #### onGuiClosed

          public void onGuiClosed()

      By overriding onGuiClosed() for this entry we can perform additional actions when the user is done such as saving a new ConfigCategory object to the Configuration object.
      Specified by:
        `onGuiClosed` in interface `GuiConfigEntries.IConfigEntry`
      Overrides:
        `onGuiClosed` in class `GuiConfigEntries.ListEntryBase`